libzypp: zypp::parser Namespace Reference

libzypp 17.25.10

Namespaces | Classes | Functions
zypp::parser Namespace Reference

## Namespaces
namespace | susetags
namespace | yum

## Classes
class | HistoryLogReader
| Zypp history file parser. More...
class | IniDict
| Parses a INI file and offers its structure as a dictionary. More...
class | IniParser
| Simple INI-file parser. More...
class | ParseException
class | ParserProgress
class | ProductFileData
| Data returned by ProductFileReader. More...
class | ProductFileReader
| Parser for /etc/products.d enries (just relevant entires). More...
struct | ProductNode
class | RepoFileReader
| Read repository data from a .repo file. More...
class | RepoindexFileReader
| Reads through a repoindex.xml file and collects repositories. More...
class | ServiceFileReader
| Read service data from a .service file. More...

## Functions
std::ostream & | operator<< (std::ostream &str, const IniDict &obj)
std::ostream & | operator<< (std::ostream &str, const ProductFileData &obj)
std::ostream & | operator<< (std::ostream &str, const ProductFileData::Upgrade &obj)
static void | repositories_in_stream (const InputStream &is, const RepoFileReader::ProcessRepo &callback, const ProgressData::ReceiverFnc &progress)
| List of RepoInfo's from a file. More...
std::ostream & | operator<< (std::ostream &str, const RepoFileReader &obj)
std::ostream & | operator<< (std::ostream &str, const ServiceFileReader &obj)

## Function Documentation

## ◆ operator<<() [1/5]

std::ostream& zypp::parser::operator<< | ( | std::ostream & | str,
|  | const IniDict & | obj
| ) |  |
| related

Definition at line 160 of file IniDict.cc.

## ◆ operator<<() [2/5]

std::ostream& zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ProductFileData & | obj
| ) |  |
| related

Definition at line 107 of file ProductFileReader.cc.

## ◆ operator<<() [3/5]

std::ostream& zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ProductFileData::Upgrade & | obj
| ) |  |
| related

Definition at line 122 of file ProductFileReader.cc.

## ◆ repositories_in_stream()

static void zypp::parser::repositories_in_stream | ( | const InputStream & | is,
|  | const RepoFileReader::ProcessRepo & | callback,
|  | const ProgressData::ReceiverFnc & | progress
| ) |  |
| static

List of RepoInfo's from a file.

Parameters

  file | pathname of the file to read.

Definition at line 138 of file RepoFileReader.cc.

## ◆ operator<<() [4/5]

std::ostream& zypp::parser::operator<< | ( | std::ostream & | str,
|  | const RepoFileReader & | obj
| ) |  |
| related

Definition at line 251 of file RepoFileReader.cc.

## ◆ operator<<() [5/5]

std::ostream& zypp::parser::operator<< | ( | std::ostream & | str,
|  | const ServiceFileReader & | obj
| ) |  |
| related

Definition at line 169 of file ServiceFileReader.cc.